
CoCoA-5 - Bug #1512

Package with unexpected EOF

16 Oct 2020 15:36 - John Abbott

Status: Closed Start date: 16 Oct 2020

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: enhancing/improving Estimated time: 0.51 hour

Target version: CoCoA-5.4.0 Spent time: 0.50 hour

Description

A package which ends prematurely produces an error, but the message could be better:

package $abc:

<EOF>

--> ERROR: Package members can be Alias, Define and simple assignments

 

Should we improve this?  Perhaps complain that EndPackage is missing; or just that EOF was encountered unexpectedly?

Or do nothing?

History

#1 - 11 Dec 2020 14:24 - John Abbott

- Status changed from New to Resolved

- Assignee set to John Abbott

- % Done changed from 0 to 70

I think I have fixed it: it now produces this error report:

--> ERROR: End-of-input while looking for EndPackage

--> ERROR: Unexpected End-Of-Input while reading "/home/jabbott/ShortTerm/JUNK.cocoa5" 

 

Anyway, more helpful than before.

#2 - 12 Dec 2020 21:36 - John Abbott

- Status changed from Resolved to Feedback

- % Done changed from 70 to 90

I have checked the code in.  No test (do we need one?)

#3 - 08 Jan 2021 11:53 - John Abbott
- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 0.51 h
